VERSION 5.00
Begin VB.Form frmFileOps 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Perform File and Folder Operations"
   ClientHeight    =   2880
   ClientLeft      =   4620
   ClientTop       =   2130
   ClientWidth     =   5310
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2880
   ScaleWidth      =   5310
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdOp 
      Caption         =   "&Write/Read Back File"
      Height          =   375
      Index           =   3
      Left            =   3000
      TabIndex        =   6
      ToolTipText     =   "Enter source only"
      Top             =   1920
      Width           =   2055
   End
   Begin VB.CheckBox chkOverWrite 
      Caption         =   "When Copying Files, Overwrite Existing File"
      Height          =   195
      Left            =   120
      TabIndex        =   2
      Top             =   1560
      Width           =   3615
   End
   Begin VB.CommandButton cmdOp 
      Caption         =   "&Delete"
      Height          =   375
      Index           =   2
      Left            =   2040
      TabIndex        =   5
      ToolTipText     =   "Enter source only"
      Top             =   1920
      Width           =   855
   End
   Begin VB.CommandButton cmdOp 
      Caption         =   "&Move"
      Height          =   375
      Index           =   1
      Left            =   1080
      TabIndex        =   4
      ToolTipText     =   "Enter source and destination"
      Top             =   1920
      Width           =   855
   End
   Begin VB.CommandButton cmdOp 
      Caption         =   "&Copy"
      Height          =   375
      Index           =   0
      Left            =   120
      TabIndex        =   3
      ToolTipText     =   "Enter source and destination"
      Top             =   1920
      Width           =   855
   End
   Begin VB.TextBox txtDest 
      Height          =   285
      Left            =   120
      TabIndex        =   1
      Top             =   1080
      Width           =   5055
   End
   Begin VB.TextBox txtSource 
      Height          =   285
      Left            =   120
      TabIndex        =   0
      Top             =   360
      Width           =   5055
   End
   Begin VB.CommandButton cmdQuit 
      Caption         =   "&Quit"
      Height          =   375
      Left            =   4080
      TabIndex        =   7
      Top             =   2400
      Width           =   975
   End
   Begin VB.Label Label2 
      Caption         =   "Destination File"
      Height          =   255
      Left            =   120
      TabIndex        =   9
      Top             =   840
      Width           =   1935
   End
   Begin VB.Label Label1 
      Caption         =   "Source File"
      Height          =   255
      Left            =   120
      TabIndex        =   8
      Top             =   120
      Width           =   1935
   End
End
Attribute VB_Name = "frmFileOps"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim oFSO As Object

Private Sub cmdOp_Click(Index As Integer)
Dim sSource As String
Dim sTarget As String
Dim sTemp   As String
Dim stream  As Object
'
' Note: If you set a reference to Microsoft Scripting Runtime,
'       you do not need to specify these constants.
'
Const ForReading = 1
Const ForWriting = 2
Const TristateUseDefault = -2

On Error Resume Next
sSource = Trim$(txtSource)
sTarget = Trim$(txtDest)
If sSource = "" Then
    MsgBox "Enter a source file.", vbInformation, "Missing Source File Name"
    txtSource.SetFocus
    Exit Sub
End If
Set oFSO = CreateObject("Scripting.FileSystemObject")

Select Case Index
    Case 0  'Copy File
        If sTarget = "" Then
            MsgBox "Enter a destination file.", vbInformation, "Missing Destination File Name"
            txtDest.SetFocus
            Exit Sub
        End If
        
        If Not oFSO.FileExists(sSource) Then
            MsgBox "Source file not found.", vbInformation, "Error Copying File"
            txtSource.SetFocus
            Exit Sub
        End If
        
        Call oFSO.CopyFile(sSource, sTarget, Abs(chkOverWrite))
        If Err.Number <> 0 Then
            MsgBox Err.Description, vbExclamation, "Error Copying File"
        Else
            MsgBox "File copy sucessful", vbInformation, "Copy File"
        End If
    Case 1  'Move File
        If sTarget = "" Then
            MsgBox "Enter a destination file.", vbInformation, "Missing Destination File Name"
            txtDest.SetFocus
            Exit Sub
        End If
        
        If Not oFSO.FileExists(sSource) Then
            MsgBox "Source file not found.", vbInformation, "Error Moving File"
            txtSource.SetFocus
            Exit Sub
        End If
        
        Call oFSO.MoveFile(sSource, sTarget)
        If Err.Number <> 0 Then
            MsgBox Err.Description, vbExclamation, "Error Moving File"
        Else
            MsgBox "File move successful", vbInformation, "Move File"
        End If
    Case 2  'Delete File
        If Not oFSO.FileExists(sSource) Then
            MsgBox "Source file not found.", vbInformation, "Error Deleting File"
            txtSource.SetFocus
            Exit Sub
        End If
        Call oFSO.DeleteFile(sSource, True)
        MsgBox "File delete successful", vbInformation, "Delete File"
        
    Case 3  'Write file
        Set stream = oFSO.OpenTextFile(sSource, ForWriting, True, TristateUseDefault)
        If Err.Number <> 0 Then
            MsgBox Err.Description, vbExclamation, "Error Writing File"
        End If
        '
        ' Create and write the file.
        '
        With stream
            Call .WriteLine("This is the first line.")
            Call .WriteLine("This is the second line.")
            Call .WriteLine("Next are 2 blank lines.")
            Call .WriteBlankLines(2)
            Call .WriteLine("This is the last line.")
            Call .Close
        End With
        Set stream = Nothing
        '
        ' Read back the file.
        '
        Set stream = oFSO.OpenTextFile(sSource, ForReading, False, TristateUseDefault)
        If Err.Number <> 0 Then
            MsgBox Err.Description, vbExclamation, "Error Reading Back File"
        End If
        
        With stream
            sTemp = "Line " & Val(.Line) & ": " & .ReadLine & vbCrLf
            sTemp = sTemp & "Line " & Val(.Line) & ": "
            Do
                sTemp = sTemp & .Read(1)
                If .AtEndOfLine Then
                    sTemp = sTemp & vbCrLf
                    Exit Do
                End If
            Loop
            .ReadLine
            sTemp = sTemp & "Line " & Val(.Line) & ": " & .ReadLine
            .SkipLine
            .SkipLine
            sTemp = sTemp & vbCrLf & "Line " & Val(.Line) & ": " & .ReadLine
            Call .Close
        End With
        MsgBox sTemp, vbInformation, "Contents of file"
        Set stream = Nothing
End Select
End Sub

Private Sub cmdQuit_Click()
Unload Me
End Sub


Private Sub Form_Unload(Cancel As Integer)
Set frmFileOps = Nothing
Set oFSO = Nothing
End Sub

